Subject: bug#69081: 29.1; M-x throwing error with ConTeXt mode

From: Arash Esbati <[email-masked]>
Date: Wed, 14 Feb 2024 16:49:47 +0100

Eli Zaretskii <[email-masked]> writes:

> Is this specific to AUCTeX 13 upgrading to 14, or is this a general
> rule with any upgrade of AUCTeX?

The former.  There were some changes to the internals of AUCTeX in order
to sort out the mode names -- AUCTeX now provides `LaTeX-mode' and
doesn't touch `latex-mode' anymore (this applies also to the other
provided modes).

So the update process is somewhat cumbersome for this specific release,
but we think it is worth it.  This is the full announcement in case you
want to have a look[1].

Best, Arash

Footnotes:
[1]  https://lists.gnu.org/archive/html/auctex-devel/2024-01/msg00002.html